package ui;

import java.sql.SQLException;

import persistence.PersonneDAO;

import workflow.*;

/**
 * AgendaUI.java
 *
 *
 * Created: Tue Dec 10 18:53:40 2002
 *
 * @author <a href="mailto:rosmord@iut.univ-paris8.fr"></a>
 * @version
 */

public class AgendaUI {
	SimpleIO io;
	PersonneDAO persisteur;
	AjoutPersonneUI ajoutPersonne;
	AjoutPersonneWorkflow ajoutPersonneWorkflow;
	ListerPersonnesUI listerPersonne;
	ListerPersonnesWorkflow listerPersonneWorkFlow;
	SupprimerPersonneUI supprimerPersonne;


	public AgendaUI(SimpleIO io) throws SQLException, ClassNotFoundException {
		this.io= io;	
	}
	
	

	public void executer() {
		String choix;
		choix = "";
		String question =
			"choix ?\n"
				+ " n: nouvelle personne\n"
				+ " l: lister\n"
				+ " d: detruire\n"
				+ " q: quitter\n";
		do {
			choix = io.lireLigne(question);
			if (choix.equals("n")) {
				ajoutPersonne.executer();
			} else if (choix.equals("l")) {
				listerPersonne.executer();
			} else if (choix.equals("d")) {
				supprimerPersonne.executer();
			}

		} while (!choix.equals("q"));
	}

	
	/**
	 * @param personneUI
	 */
	public void setAjoutPersonne(AjoutPersonneUI personneUI) {
		ajoutPersonne = personneUI;
	}

	/**
	 * @param personnesUI
	 */
	public void setListerPersonne(ListerPersonnesUI personnesUI) {
		listerPersonne = personnesUI;
	}

	/**
	 * @param personneUI
	 */
	public void setSupprimerPersonne(SupprimerPersonneUI personneUI) {
		supprimerPersonne = personneUI;
	}

} // AgendaUI
